Bug 443025 - yum crash
yum crash
Status: CLOSED DUPLICATE of bug 442889
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-18 04:35 EDT by Martin Jürgens
Modified: 2014-01-21 18:02 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-18 08:08:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Jürgens 2008-04-18 04:35:07 EDT
Description of problem:
Yum crashes when trying to update

Version-Release number of selected component (if applicable):
yum-3.2.14-2.fc9.noarch

How reproducible:
Every time

Steps to Reproduce:
1. Run yum update
2.
3.
  
Actual results:
Python Traceback

Expected results:
Update :)

Additional info:
Loaded plugins: refresh-packagekit
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package libgcc.i386 0:4.3.0-7 set to be updated
---> Package NetworkManager-gnome.i386 1:0.7.0-0.9.2.svn3566.fc9 set to be updated
---> Package gcc-java.i386 0:4.3.0-7 set to be updated
---> Package kdebase-runtime.i386 0:4.0.3-6.fc9 set to be updated
---> Package rhpxl.i386 0:1.9-1.fc9 set to be updated
---> Package libstdc++-devel.i386 0:4.3.0-7 set to be updated
---> Package PackageKit.i386 0:0.1.12-4.20080416git.fc9 set to be updated
---> Package xorg-x11-server-common.i386 0:1.4.99.901-22.20080415.fc9 set to be
updated
---> Package gnome-panel.i386 0:2.22.1.2-2.fc9 set to be updated
---> Package mesa-libGLU-devel.i386 0:7.1-0.25.fc9 set to be updated
---> Package PolicyKit-devel.i386 0:0.8-2.fc9 set to be updated
---> Package mcstrans.i386 0:0.2.8-1.fc9 set to be updated
---> Package speex.i386 0:1.2-0.7.beta3 set to be updated
---> Package kdebase-workspace-libs.i386 0:4.0.3-15.fc9 set to be updated
---> Package selinux-policy.noarch 0:3.3.1-35.fc9 set to be updated
---> Package gcc.i386 0:4.3.0-7 set to be updated
---> Package cpp.i386 0:4.3.0-7 set to be updated
---> Package oxygen-icon-theme.i386 0:4.0.3-6.fc9 set to be updated
---> Package NetworkManager-glib.i386 1:0.7.0-0.9.2.svn3566.fc9 set to be updated
---> Package kernel-headers.i386 0:2.6.25-0.234.rc9.git1.fc9 set to be updated
--> Processing Dependency: mono(Mono.Addins) = 0.3.0.0 for package: tomboy
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 236, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 152, in main
    (result, resultmsgs) = base.buildTransaction() 
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 624, in
buildTransaction
    (rescode, restring) = self.resolveDeps()
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 649, in resolveDeps
    CheckDeps, checkinstalls, checkremoves, missing = self._resolveRequires(errors)
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 740, in
_resolveRequires
    (checkdep, missing, errormsgs) = self._processReq(po, dep)
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 269, in _processReq
    CheckDeps, missingdep = self._requiringFromInstalled(po, requirement, errormsgs)
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 324, in
_requiringFromInstalled
    providers = self.rpmdb.getProvides(needname, needflags, needversion)
  File "/usr/lib/python2.5/site-packages/yum/rpmsack.py", line 530, in getProvides
    deptup = self._genDeptup(name, flags, version)
  File "/usr/lib/python2.5/site-packages/yum/rpmsack.py", line 521, in _genDeptup
    (misc.share_data(r_e), misc.share_data(r_v),
UnboundLocalError: local variable 'r_e' referenced before assignment
Comment 1 Seth Vidal 2008-04-18 08:08:03 EDT

*** This bug has been marked as a duplicate of 442889 ***

Note You need to log in before you can comment on or make changes to this bug.